Configuration parameters
D-Link PCMCIA configurator help

Configuration parameters

I/O BASE Port

Interrupt Level

Card Power

Network Speed


I/O Base Port

The I/O Base Port is the address, where the 32 ports that the D-Link PCMCIA 16/4 Token-Ring adapter uses, is placed in I/O space. I.E. if the default value of A00 is used the card will use port values from A00 - A1F. The value chosen must not conflict with other cards in the PC.


Interrupt Level

The Interrupt level is the hardware interrupt number that the card will use to interrupt the PC when data or status information is available. The level chosen must not be in use by other cards in the PC.


Card Power

This group selects whether the card is to be powered. If the card is to be usable for network communication it must be powered, but a Token-Ring adapter uses a significant amount of power. In most cases if a portable PC is running on battery power it is not connected to a network and it is therefore unneccessary to power the card. Choosing Yes will cause the adapter to be powered and usable next time the PC is booted. Choosing No will cause the adapter to be unpowered and therefore unusable after next boot. Choosing Ask at boot makes it possible to decide wether to power the card at boot time.


Network Speed

This group selects what speed the Token-Ring card will be utilizing. It is very important to select the speed that is used on the network, that the card is connected to. Using the wrong speed will generate a temporary beaconing situation on the network, interrupting all network communication. The Ask at boot selection is intended for notebooks that are moved between networks running at different speed, it gives the user the possibility to select the speed at boot time.